# ConnectListener (sshj 0.4.1 API)
Date: 2011-06-19

## net.schmizz.sshj.connection.channel.forwarded
Interface ConnectListener

All Known Implementing Classes:
  SocketForwardingConnectListener

    public interface ConnectListener

A connect listener is just that: it listens for new forwarded channels and can be delegated charge of them.

Method Summary
`void` `gotConnect(Channel.Forwarded chan)` Notify this listener of a new forwarded channel.

Method Detail

### gotConnect

    void gotConnect(Channel.Forwarded chan)
                    throws IOException

  Notify this listener of a new forwarded channel. An implementation should firstly confirm or reject that channel.

  Parameters:
    `chan` - the forwarded channel
  Throws:
    `IOException` - if there is a problem handling the channel

Copyright © 2009-2011. All Rights Reserved.